Keyboard Backlight Turns on at boot

Bug #1510344 reported by Charles Profitt on 2015-10-27
452
This bug affects 88 people
Affects Status Importance Assigned to Milestone
Dell Sputnik
Undecided
Unassigned
GNOME Settings Daemon
Fix Released
Medium
Linux
Invalid
Undecided
Unassigned
One Hundred Papercuts
Low
Unassigned
unity-settings-daemon (Ubuntu)
High
Unassigned
Xenial
High
Unassigned

Bug Description

System: Dell XPS 13 9343

Action: Boot computer

Expected Behavior: Keyboard backlight would be off when computer is booted

Actual Behavior: Keyboard backlight is on at boot

This did not happen with Ubuntu 15.04

There are new files in Ubuntu 15.10 - /sys/class/leds/dell::kbd_backlight$

cat stop_timeout
60s

 cat start_triggers
+keyboard +touchpad

cat trigger
[none] AC-online BAT0-charging-or-full BAT0-charging BAT0-full BAT0-charging-blink-full-solid usb-gadget usb-host cpu0 cpu1 cpu2 cpu3 mmc0 rfkill0

cat brightness
2

---

Unsure if these files are important, but included in the report

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: linux-image-4.1.0-2-generic 4.1.0-2.2
ProcVersionSignature: Ubuntu 4.1.0-2.2-generic 4.1.3
Uname: Linux 4.1.0-2-generic x86_64
ApportVersion: 2.18-0ubuntu5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: ubuntu 2488 F.... pulseaudio
 /dev/snd/controlC0: ubuntu 2488 F.... pulseaudio
CasperVersion: 1.362
CurrentDesktop: Unity
Date: Tue Oct 27 01:29:47 2015
IwConfig:
 enx00249b0981e3 no wireless extensions.

 lo no wireless extensions.
LiveMediaBuild: Ubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150730)
MachineType: Dell Inc. XPS 13 9343
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/casper/vmlinuz.efi file=/cdrom/preseed/username.seed boot=casper quiet splash --- cdrom-detect/try-usb=true noprompt
RelatedPackageVersions:
 linux-restricted-modules-4.1.0-2-generic N/A
 linux-backports-modules-4.1.0-2-generic N/A
 linux-firmware 1.145
RfKill:
 0: hci0: Bluetooth
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/14/2015
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A05
dmi.board.name: 0TM99H
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrA05:bd07/14/2015:svnDellInc.:pnXPS139343:pvr:rvnDellInc.:rn0TM99H:rvrA00:cvnDellInc.:ct9:cvr:
dmi.product.name: XPS 13 9343
dmi.sys.vendor: Dell Inc.

Related branches

Charles Profitt (cprofitt) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Pavel Gluschak (scsnow) wrote :

Have the same problem with Dell Latitude E7450. It's possible to turn it off using Fn+F10, but next boot it results in kb backlight being on. I also noticed that it comes up each time I unlock my laptop after locking screen using Ctrl+Alt+L.

Walter Ribeiro (wribeirojr) wrote :

Same problem with Dell Inspiron
Ubuntu 15.10 clean install.

Jan Henke (jhe) wrote :

This is probably related to the change introduced in Linux 4.1. The Dell keyboard driver can now control various settings about the keyboard back-light and exposes control devices in /sys to change these settings.

Commit: 6cff8d60aa0aba5583ecda09984dbcb2f24cc28d (https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=6cff8d60aa0aba5583ecda09984dbcb2f24cc28d)

For some reason the backlight is set to on in certain conditions, ignoring the previous user setting.

Changed in hundredpapercuts:
status: New → Confirmed
Changed in dell-sputnik:
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Low
Changed in hundredpapercuts:
importance: Undecided → Low

It also happens after waking up the laptop from sleep, not only on boot.

Addendum: I noticed the backlight also gets switched back on after not using the keyboard and touchpad for a few seconds. I suspect this has something to do with the way it acts when it is switched on normally: After not typing anything or using the touchpad for a few seconds, the backlight is switched off to save power and gets switched back on when you touch the keyboard.

Balazs Wittmann (balazswmann) wrote :

Same problem here with a Dell Inspiron 7537 and I never experienced this with earlier Ubuntu versions. The backlight automatically turns on in the following situations for me (regardless of the previous settings):

1. When I turn on or restart the notebook.
2. When I wake up the notebook.
3. When I don't use the keyboard and the touchpad for a few seconds.

wicklow (lduruel) wrote :

I was facing to this behaviour.
I blacklisted the dell_laptop module and this issue was solved. Now my keyboard backlight act as it should be.

in /etc/modprobe.d directory
create this file blacklist-dell.conf
and add in it the followinf thing : blacklist dell_laptop
then excute : sudo update-initramfs -u
and Reboot

Jan Henke (jhe) wrote :

Blacklisting the module is not a solution to the problem, it just hides it.

The problem is still that the state of the back light does not seem to be properly restored under some conditions.

Does blacklisting the dell_laptop module have any adverse effects?

Jan Henke (jhe) wrote :

Blacklisting prevents you from configuring the back light, e.g. the time out.

Pavel Gluschak (scsnow) wrote :

Seems like dell_laptop also provides some rfkill facilities, so blacklisting is not a good idea.

wicklow (lduruel) wrote :

I did not say that it was the solution.
I suggest this tip because at the moment NOT blackisting this module prevents us to use the keyboard backlight feature.

This suggestion only focus on Dell Xps 13 9343, model that I own. Blacklisting the module allows me to enjoy this feature.

1 comments hidden view all 105 comments
r2rien (r2rien) wrote :

See enclosed script I use at login/resume,
with it's .desktop file for login and its's symlink in /etc/pm/sleep.d

Xinx (xinx) wrote :

I am wondering why nobody with some knowledge of the dell kernel module does revise it and removes this boring behaviour. I expect this would be pretty easy and that's why I am wondering whether there are dependencies from BIOS version or other facts.

I enclose a python script which I use to keep the keyboard led off and which I start with rc.local.

Same problem with Dell Inspiron 7520 - Ubuntu 15.10 clean install. Very annoying...

piotrek (abdonn) wrote :

similar with dall precision m4600 ubuntu 14.04, kernel 4.2.0. keyboard backlight is turned on when power state changing (plug in, unplug, turn on). it started after i upgrade kernel to version 4.2.0. earlier i was using kernel 3.x (don't remember the exact version) and there was no problem with keyboard backlight

Øyvind Stegard (oyvinst) wrote :

Same issue on Dell E7440 with Wily kernel (in my case the HWE-kernel for Ubuntu 14.04). Keyboard backlight user control is not respected, and it turns on at various conditions, including boot and screen wake up from sleep.

Xhin Liang (xhinliang) wrote :

Same bug with Dell E6430s

Paolo Pustorino (stickgrinder) wrote :

Same for my on a Dell Inspiron 7535.

luizzcosta (luizzcosta) wrote :

I have the same issue as Balasz:

1. When I turn on or restart the notebook.
2. When I wake up the notebook.
3. When I don't use the keyboard and the touchpad for a few seconds.

on a Dell Inspiron 14r 5447.

Any update on how to solve this issue?

Mathieu Cinquin (shini31) wrote :

Same bug with Dell XPS 13 9350.

Balazs Wittmann (balazswmann) wrote :

This bug still exists in the current 16.04 LTS daily build (2016.04.15) with a 4.4.0 linux kernel. I have a Dell Inspiron 7537.

Download full text (3.4 KiB)

Looks like nobody is interested in fixing this...😞

Sent from mobile
--
Lead Software Engineer @ Platform TS, EMEA
SME of Search & Security, Subscription Services, Global
LSV Project Lead
On Apr 16, 2016 4:05 PM, "Balazs Wittmann" <email address hidden>
wrote:

> This bug still exists in the current 16.04 LTS daily build (2016.04.15)
> with a 4.4.0 linux kernel. I have a Dell Inspiron 7537.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1510344
>
> Title:
> Keyboard Backlight Turns on at boot
>
> Status in Dell Sputnik:
> Confirmed
> Status in One Hundred Papercuts:
> Confirmed
> Status in Linux:
> New
> Status in linux package in Ubuntu:
> Confirmed
>
> Bug description:
> System: Dell XPS 13 9343
>
> Action: Boot computer
>
> Expected Behavior: Keyboard backlight would be off when computer is
> booted
>
> Actual Behavior: Keyboard backlight is on at boot
>
> This did not happen with Ubuntu 15.04
>
> There are new files in Ubuntu 15.10 -
> /sys/class/leds/dell::kbd_backlight$
>
> cat stop_timeout
> 60s
>
> cat start_triggers
> +keyboard +touchpad
>
> cat trigger
> [none] AC-online BAT0-charging-or-full BAT0-charging BAT0-full
> BAT0-charging-blink-full-solid usb-gadget usb-host cpu0 cpu1 cpu2 cpu3 mmc0
> rfkill0
>
> cat brightness
> 2
>
> ---
>
> Unsure if these files are important, but included in the report
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: linux-image-4.1.0-2-generic 4.1.0-2.2
> ProcVersionSignature: Ubuntu 4.1.0-2.2-generic 4.1.3
> Uname: Linux 4.1.0-2-generic x86_64
> ApportVersion: 2.18-0ubuntu5
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: ubuntu 2488 F.... pulseaudio
> /dev/snd/controlC0: ubuntu 2488 F.... pulseaudio
> CasperVersion: 1.362
> CurrentDesktop: Unity
> Date: Tue Oct 27 01:29:47 2015
> IwConfig:
> enx00249b0981e3 no wireless extensions.
>
> lo no wireless extensions.
> LiveMediaBuild: Ubuntu 15.10 "Wily Werewolf" - Alpha amd64 (20150730)
> MachineType: Dell Inc. XPS 13 9343
> ProcEnviron:
> TERM=xterm-256color
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/casper/vmlinuz.efi
> file=/cdrom/preseed/username.seed boot=casper quiet splash ---
> cdrom-detect/try-usb=true noprompt
> RelatedPackageVersions:
> linux-restricted-modules-4.1.0-2-generic N/A
> linux-backports-modules-4.1.0-2-generic N/A
> linux-firmware 1.145
> RfKill:
> 0: hci0: Bluetooth
> Soft blocked: no
> Hard blocked: no
> SourcePackage: linux
> UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 07/14/2015
> dmi.bios.vendor: Dell Inc.
> dmi.bios.version: A05
> dmi.board.name: 0TM99H
> dmi.board.vendor: Dell Inc.
> dmi.board.version: A00
> dmi.chassis.type: 9
> dmi.chassis.vendor: Dell Inc.
> dmi.modal...

Read more...

Michal (michal-maill) wrote :

Same bug with Dell XPS 13 9350. Very very annoying.

Andy Voigt (spamsales) wrote :

Hello,

i've attached a small patch that fix the problem on my Dell Precision 7510. Basically the function "kbd_set_state_safe" returns now null and don't try to set a old state.

Regards, Andy

tags: added: patch
Pavel Gluschak (scsnow) wrote :

I see, that some changed in dell_laptop and dell_wmi modules are appeared in kernel 4.5. Though I'm not sure, that it fixes topic problem.

Andy Voigt (spamsales) wrote :

The bug still exist with the 4.5 Kernel on my Precision 7510.

ficestat (ficestat) wrote :

Problem occurs with dell latitude e7450 4.6 kernel rc4 and latest bios a12

Artem Rachitskiy (pachuukuu) wrote :

Same with Dell e7470 on 16.04 release.

Charles Profitt (cprofitt) wrote :

I confirmed this bug is still present with Dell XPS 13 9343 on 16.04 release.

This bug is so annoying because of the design of the keyboard backlight in a lot of Dell laptops (incl mine, 7537): in daytime the backlight make keys unreadable (they are painted grey with the character in transparent plastic). It is even annoying even when you type blindly: you automatically try to make out the characters because of the light drawing the attention.

I haven't try the patch yet as I hope the 16.04 release would fix the problem. It didn't.

C.

If it annoys me too much, I do three times

echo 0|sudo tee /sys/class/leds/dell\:\:kbd_backlight/brightness

This tends to keep the backlight off for a while.

I confirm that this bug is still present on 9343 with 16.04 LTS.

I confirm that this bug is still present in Dell Inspiron 7537, upgraded from 15.04 (via 15.10). In 15.04 wasn't.

x-blade-x (blade-09) wrote :

Confirmed with XPS 13 9343 with 16.04 LTS. In 15.04 the keyboard backlight worked perfectly.

Jan Koci (cicindel) wrote :

I can partially reproduce this bug on Dell Latitude E6420.

Namely in 16.04 (4.4 kernel) backlight was always on after (re)boot and screenlock, however waking up (opening laptop) does not switch backlight on. Moreover I could control the backlight (i.e. switch it off), contrary to some reports above.

After downgrade to 14.04.4 (4.2 kernel; downgraded for plethora of more serious issues) this still occurs at least after boot and screenlock (I'm still copying my backup to hdd so I don't want to test waking up). I can still control it and switch it off (with Fn+rightarrow on my model).

Last kernel this worked for me properly was 3.19 (14.04.3 with vivid kernel I believe).

Jan Koci (cicindel) wrote :

Followup on #39 - I have just noticed that the backlight switches on after few seconds of inactivity (14.04.4 with 4.2 kernel). AFAIK this wasn't the case with 4.4 kernel (16.04).

I also checked and after opening the laptop lid and waking up, the backlight is off, just as in 4.4 (at least on my model, Dell Latitude E6420).

Changed in linux (Ubuntu):
importance: Low → Medium
tags: added: kernel-da-key
Pavel Gluschak (scsnow) on 2016-05-06
tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Changed in linux (Ubuntu):
status: Triaged → Invalid
Changed in linux:
status: New → Invalid
Changed in unity-settings-daemon (Ubuntu):
status: New → Confirmed
Will Cooke (willcooke) on 2016-05-12
tags: added: desktop-trello-import
tags: removed: desktop-trello-import
Pavel Gluschak (scsnow) on 2016-05-12
tags: removed: patch
Changed in unity-settings-daemon (Ubuntu):
importance: Undecided → High
status: Confirmed → In Progress
affects: unity-settings-daemon → gnome-settings-daemon
Changed in gnome-settings-daemon:
importance: Unknown → Medium
status: Unknown → Fix Released
tags: added: desktop-trello-import
Will Cooke (willcooke) on 2016-05-13
tags: removed: desktop-trello-import
no longer affects: linux (Ubuntu)
25 comments hidden view all 105 comments
Allen Hung (allen-hung) wrote :

My statement in #50 has some incorrectness. I thought unity does not query current brightness, but accrording to Marco has addressed in #64 it is because upower always returns the cached brightness value.I do agree the change has to be made at UPower side.

I also agree the commit c311de72495efdc757edb3cd59b1455541532eb7 should be able to fix the issue at boot.

Mario Limonciello (superm1) wrote :

Marco,

Will you reach out to upstream then about this?

I already had a discussion with pitti, but I'll ask to Hugsie for
confirmation... However I've already almost ready a patch for this.

So, I've proposed a patch for upower, and I'm attaching here the debdiff to get this in ubuntu package.
Also, to get this working, we need unity-settings-daemon to be patched with this lp:~3v1n0/unity-settings-daemon/kbd-brightness-update

Changed in upower (Ubuntu):
importance: Undecided → Medium
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
status: New → In Progress

Hello Charles, or anyone else affected,

Accepted unity-settings-daemon into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity-settings-daemon/15.04.1+16.04.20160209-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity-settings-daemon (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed

Just tested the new version of unity-settings-daemon in xenial-proposed and it works.
Great! Thank you Martin!

Does this mean I can revert the changes I made applying the workaround from #47 and wait for a future update?

Depends which problem was bothering you. It's coming in two updates. One to
upower (related to run time problems) and the other in unity settings
daemon (related to turning on at lock screen). The unity settings daemon
one is in proposed and if no regressions are found it will come to updates
in a week or two.

The upower one isn't yet in proposed. Once it is it will land in a similar
timeline as long as no regressions are found.

On Wed, May 18, 2016, 09:56 Matthias König <email address hidden> wrote:

> Does this mean I can revert the changes I made applying the workaround
> from #47 and wait for a future update?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1510344
>
> Title:
> Keyboard Backlight Turns on at boot
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/dell-sputnik/+bug/1510344/+subscriptions
>

Mario Limonciello (superm1) wrote :

Sorry - USD one is related to turning on boot I mean.

On Wed, May 18, 2016, 09:59 Mario Limonciello <email address hidden> wrote:

> Depends which problem was bothering you. It's coming in two updates. One
> to upower (related to run time problems) and the other in unity settings
> daemon (related to turning on at lock screen). The unity settings daemon
> one is in proposed and if no regressions are found it will come to updates
> in a week or two.
>
> The upower one isn't yet in proposed. Once it is it will land in a similar
> timeline as long as no regressions are found.
>
> On Wed, May 18, 2016, 09:56 Matthias König <email address hidden>
> wrote:
>
>> Does this mean I can revert the changes I made applying the workaround
>> from #47 and wait for a future update?
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1510344
>>
>> Title:
>> Keyboard Backlight Turns on at boot
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/dell-sputnik/+bug/1510344/+subscriptions
>>
>

We should probably split this bug into two: one is this one, the other one is "keyboard backlight is not properly restored after idle"

Changed in unity-settings-daemon (Ubuntu Xenial):
importance: Undecided → High
Changed in upower (Ubuntu Xenial):
importance: Undecided → Medium

Updated the upower patch, as requested on upstream bug.
Attaching new debdiff here.

tags: removed: kernel-da-key

This is weird: I have reverted the changes I made according to #47 but the bug is still fixed, even though you say that it's not yet in the updates? Is there a logical explanation to this?

I've moved the part related to idle backlight reset to bug #1583861

no longer affects: upower (Ubuntu)
no longer affects: upower (Ubuntu Xenial)
no longer affects: upower
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-settings-daemon - 15.04.1+16.04.20160209-0ubuntu2

---------------
unity-settings-daemon (15.04.1+16.04.20160209-0ubuntu2) xenial; urgency=medium

  * plugins/power/gsd-power-manager.c:
    - backport upstream "power: '0' keyboard backlight is a valid value",
      the change makes the keyboard backlight not being forced on at login
      (lp: #1510344)

 -- Sebastien Bacher <email address hidden> Fri, 13 May 2016 11:19:10 +0200

Changed in unity-settings-daemon (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for unity-settings-daemon has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Bob McChesney (bmcchesney) wrote :

This appears to be fixed for me with latest updates from Ubuntu 16.04 LTS. Very happy.

Alessio Treglia (quadrispro) wrote :

This is fixed for me too, cheers!

I'm on the last version of unity-settings-daemon (15.04.1+16.04.20160209-0ubuntu2) and still have this bug

Changed in dell-sputnik:
status: Confirmed → In Progress
status: In Progress → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-settings-daemon - 15.04.1+16.04.20160209-0ubuntu2

---------------
unity-settings-daemon (15.04.1+16.04.20160209-0ubuntu2) xenial; urgency=medium

  * plugins/power/gsd-power-manager.c:
    - backport upstream "power: '0' keyboard backlight is a valid value",
      the change makes the keyboard backlight not being forced on at login
      (lp: #1510344)

 -- Sebastien Bacher <email address hidden> Fri, 13 May 2016 11:19:10 +0200

Changed in unity-settings-daemon (Ubuntu):
status: In Progress → Fix Released
Alex Mandel (wildintellect) wrote :

Just wanted to note this also effect Lenovo T450s, 4.4.0-24-generic #43~14.04.1-Ubuntu . The fix in #46 and #47 seems to work. Will double check if the fix has already made it to my other identical machine on 16.04.

mike (myke4416) wrote :

I am adding the Lenovo X230, ThinkPad-X230 4.4.0-24-generic #43-Ubuntu to the list. Ditto on the fix in #46 and #47.

Jonathan Polak (jpolak) wrote :

Yes Mike, Lenovo X230 still affected by this bug. Both in ubuntu and in vanilla debian. This problem is upstream from ubuntu for sure.

Roland Lohner (loczaj) wrote :

I am adding Dell E5570. Backlight turns on at boot and does not switch off ever. Ubuntu 16.04 with unity-settings-daemon version 15.04.1+16.04.20160209-0ubuntu2. Workaround at #47 does not help either.

Anton (a248633370) wrote :

I am adding the Lenovo Thinkpad t430s kernel 4.4.0-28-generic #47-Ubuntu, unity-settings-daemon version 15.04.1+16.04.20160209-0ubuntu2 in list.
Workaround from #46 helped me.

Michael Rauch (michael-rauch) wrote :

Dell Latitude 7470 is still affected with latest updates for 16.04.

GrzesiekC (grzesiekc) wrote :

E7470 - yes still affected - look here bug #1583861 and check my comments #22

Roland Lohner (loczaj) wrote :

On Dell E5570,

gdbus call --system --dest org.freedesktop.UPower --object-path /org/freedesktop/UPower/KbdBacklight --method org.freedesktop.UPower.KbdBacklight.GetBrightness

works well, returns 0, 1, or 2, depending on keyboard backlight level OFF, DIM, FULL.

But gdbus call --system --dest org.freedesktop.UPower --object-path /org/freedesktop/UPower/KbdBacklight --method org.freedesktop.UPower.KbdBacklight.SetBrightness i

switches backlight to full power independently of parameter i. Even backlight timeout is deactivated: backlight just does not switch off.

This deactivated timeout "setting" made by Ubuntu is persisted. Even if I reboot into DOS or BIOS setup, backlight just stays on. I have to setup the timeout vale in BIOS again to activate the timeout function.

Ubuntu 16.04 with unity-settings-daemon version 15.04.1+16.04.20160209-0ubuntu2.

Konstantin (fre6lime) wrote :

Totally the same issue as #92 reported by Roland. Dell E5470. It doesn't matter which value was writed to /sys/devices/platform/dell-laptop/leds/dell::kbd_backlight it always conotains 2. As a result I have keyboard backlight ebabled on every boot, after sleep mode and logout. Solution from #46 and #47 works partially, it helps to avoid enabling backlight on sleep mode and logout but it's still enabled after every reboot.

Konstantin (fre6lime) wrote :

#93 happens on Kubuntu 16.04, 4.4.0-34-generic

Abel (angbel) wrote :

I found another solution, seems to be better because, kernel version 4.4.0.21 has a bug within the suspend mode(sometimes works and sometimes not) at least, happened to me in a Dell latitude e6420 and also this bug of the backlight, so to fix it I updated the kernel version to 4.7.5 -- The only problem was that wireless stopped working, so to fix it I connected through wired connection and I changed the driver, after that all works well!

check this: http://askubuntu.com/questions/574920/upgrading-to-3-18-kernel-causes-wireless-not-to-work

**may be help:)
Sorry for my bad english.

Konstantin (fre6lime) wrote :

Thanks Abel for the solution. I confirm that problem was solved by installing 4.7.5 kernel on my Kubuntu 16.04 installation.

GrzesiekC (grzesiekc) wrote :

Dell E7470, the latest BIOS, kernel 4.8.

$uname -a
Linux E7470 4.8.0-20-generic #22~16.04.1-Ubuntu SMP Mon Oct 3 03:19:50 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

$ dpkg -s upower | grep -i 'status\|version'
Status: install ok installed
Version: 0.99.4-2ubuntu0.3

$ dpkg -s unity-settings-daemon | grep -i 'status\|version'
Status: install ok installed
Version: 15.04.1+16.04.20160701-0ubuntu1

The same behaviour as #92

Billiot (david-billiot) wrote :

This issue affected me with a new Dell E5470 on 14.04

The issue would go away with a factory reset but after doing updates it would reappear.

The way I eventually got it fixed was

Step 1: as stated above

Edit file
/etc/dbus-1/system.d/org.freedesktop.UPower.conf

change:
    <allow send_destination="org.freedesktop.UPower"
           send_interface="org.freedesktop.UPower.KbdBacklight"/>
to:
    <deny send_destination="org.freedesktop.UPower"
           send_interface="org.freedesktop.UPower.KbdBacklight"/>

Step 2: Bios

In my bios file I had to find the settings for the keyboard timeout and change it to something else. So if it was set to 5 seconds then I had to change it to 10 seconds. If it was set to 10 seconds then I had to change it to 5 seconds.

Once I rebooted my system the keyboard returned to the expected behavior.

GrzesiekC (grzesiekc) wrote :

I've tried Billiot's approach (#98) - no luck either.

All is good during the boot.
But just a sec before displaying the login screen, the keyboard lits to maximum and stay like this.

Cristian Contescu (ckristi) wrote :

The same problem on a Dell Latitude E5570:
- keyboard goes on full full-brightness at boot time
- keyboard turns on after screen lock exactly when the screen goes off (even if the keyboard backlight is off)
- the auto turn-off after the specified amount of time (set in the BIOS and visible in the /sys/class/leds/...) is completely dismissed - the keys stay on all the time

$ cat /sys/class/leds/dell\:\:kbd_backlight/stop_timeout
10s

Cristian Contescu (ckristi) wrote :

OK, apart from the dbus denying in #98 which helps with the turning fully on when the screen locks, in order to avoid the backlight turning on during boot time, you need to mask (it cannot be disabled) the systemd-backlight@leds\:dell\:\:kbd_backlight service:

sudo systemctl mask systemd-backlight@leds\:dell\:\:kbd_backlight.service

Hope it helps until a proper fix is released.

Cheers,
Cristi

GrzesiekC (grzesiekc) wrote :

Thanks Cristi,

This finally "fixed" auto backlit on my E7470 (after half a year).

Next - disappearing sound card and built-in LTE modem, not working mute button in 4.8, dying WiFI card. You gotta love Ubuntu on Skylake ;-)

Omar Riverol (0m4r22) wrote :

Dell Latitude 7470:

Fixed by following #98 and finally #101.

#98 Step two --> For clarity sake, Go to BIOS setting by pressing F2 and do as instructed.

Off to fix speaker crackling sound on boot.

Thanks Guys

David Rosenstrauch (darose) wrote :

Thanks for sharing the fixes everyone. I was able to get this to work too.

For the record, the fix for me was the following:

1) mask the dell::kbd_backlight.service, as described above
2) go into the bios, and change the keyboard led timeout from 10s to 5s

Note that it had to be done in that order. For some reason if the kbd_backlight service is not masked, it somehow forces the bios led timeout back to 10s, and then the keyboard led always remains lit.

Changed in hundredpapercuts:
status: Confirmed → Fix Released
Cornelius (7-cornelius) wrote :

The mentioned workaround fix the problem on my Dell Precision 7510. And more important it also fixes a assumed random crash after suspend/resume. It comes out that the xsession creashes when I suspend on docking station, then remove the laptop from docking station, resume and switch off keyboard backlight, go to suspend again and finally resume on docking station. Take a bit to get this combination ;)

Displaying first 40 and last 40 comments. View all 105 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.